/* Conversie van levold naar 
   leverancier en levset
   
   Naam  : Staf Biesbroeck
   Versie: 0.1
   Datum : 25-05-2008 */
   
/* Setupw */   
FIND FIRST nsetupw NO-LOCK NO-ERROR.      

/* local variable */
DEFINE VARIABLE i AS INTEGER.


/* main */
IF NOT nsetupw.levconv 
THEN DO:
    RUN conv-lev.
    FIND CURRENT nsetupw EXCLUSIVE-LOCK.
    IF AVAILABLE nsetupw THEN nsetupw.levconv = TRUE.
    FIND CURRENT nsetupw NO-LOCK.
END.


/* Procedure */
PROCEDURE conv-lev:

FOR EACH levold:
   FIND FIRST leverancier WHERE leverancier.bedrijf-nr = levold.bedrijf-nr AND
                                leverancier.kassa-nr   = levold.kassa-nr AND
                                leverancier.nr = levold.nr NO-ERROR.
   IF NOT AVAILABLE leverancier THEN DO:
       CREATE leverancier.

       ASSIGN
           leverancier.bedrijf-nr = levold.bedrijf-nr
           leverancier.kassa-nr   = levold.kassa-nr
           leverancier.nr         = levold.nr.
   END.

       ASSIGN
           leverancier.naam       = levold.naam
           leverancier.straat     = levold.straat
           leverancier.postcode   = levold.postcode
           leverancier.plaats     = levold.plaats
           leverancier.tel     = levold.tel
           leverancier.fax     = levold.fax
           leverancier.kontaktpers     = levold.kontaktpers
           leverancier.tel-kont     = levold.tel-kont
           leverancier.l-update     = levold.l-update
           leverancier.lev-disk-nr     = levold.lev-disk-nr
           leverancier.deb-nr     = levold.deb-nr
           leverancier.val-nr     = levold.val-nr
           leverancier.zoekcode     = levold.zoekcode
           leverancier.straat-nr     = levold.straat-nr
           leverancier.land-nr     = levold.land-nr
           leverancier.taal-nr     = levold.taal-nr
           leverancier.notitie     = levold.notitie
           leverancier.e-mail     = levold.e-mail
           leverancier.gsm     = levold.gsm
           leverancier.in-adm     = levold.in-adm
           leverancier.kosten     = levold.kosten
           leverancier.btw-nr     = levold.btw-nr
           leverancier.import-btw     = levold.import-btw
           leverancier.btw-code     = levold.btw-code.
           
       DO i = 1 TO 3:
        ASSIGN
         leverancier.kosten-verzend[i]        = levold.kosten-verzend[i]
         leverancier.kosten-fakt-bedr[i]      = levold.kosten-fakt-bedr[i]
         leverancier.kosten-verzend-euro[i]   = levold.kosten-verzend-euro[i]
         leverancier.kosten-fakt-bedr-euro[i] = levold.kosten-fakt-bedr-euro[i].
       END.
        
          ASSIGN
           leverancier.verzmethode     = levold.verzmethode
           leverancier.levertijd     = levold.levertijd.
           

       ASSIGN
           leverancier.int-stel     = levold.int-stel
           leverancier.int-trans     = levold.int-trans
           leverancier.int-verv     = levold.int-verv
           leverancier.int-haven     = levold.int-haven
           leverancier.lvrvw-nr     = levold.lvrvw-nr
           leverancier.verv-nr     = levold.verv-nr
           leverancier.betv-nr     = levold.betv-nr
           leverancier.straat-2     = levold.straat-2.
   

   FIND FIRST levset WHERE levset.bedrijf-nr = leverancier.bedrijf-nr AND
                           levset.kassa-nr   = leverancier.kassa-nr AND
                           levset.lev-nr     = leverancier.nr NO-ERROR.
   IF NOT AVAILABLE levset THEN DO:
       CREATE levset.
       ASSIGN
           levset.bedrijf-nr = levold.bedrijf-nr
           levset.kassa-nr   = levold.kassa-nr
           levset.lev-nr     = levold.nr.
   END.

       ASSIGN
         levset.import-dir  = levold.import-dir
         levset.FILE-TYPE   = levold.FILE-TYPE
         levset.ascii-separator = levold.ascii-separator
         levset.bestelcode-veldnr           = levold.bestelcode-veldnr
         levset.bestelcode-start           = levold.bestelcode-start
         levset.bestelcode-lengte           = levold.bestelcode-lengte
             levset.omsch-veldnr           = levold.omsch-veldnr
             levset.omsch-start           = levold.omsch-start
             levset.omsch-lengte           = levold.omsch-lengte
             levset.groepcode-veldnr           = levold.groepcode-veldnr
             levset.groepcode-start           = levold.groepcode-start
             levset.groepcode-lengte           = levold.groepcode-lengte
             levset.prijs-veldnr           = levold.prijs-veldnr
             levset.prijs-lengte           = levold.prijs-lengte
             levset.prijs-start           = levold.prijs-start
             levset.btw-code-veldnr           = levold.btw-code-veldnr
             levset.btw-code-start           = levold.btw-code-start
             levset.btw-code-lengte           = levold.btw-code-lengte
             levset.UAC-code-veldnr           = levold.UAC-code-veldnr
             levset.UAC-code-start           = levold.UAC-code-start
             levset.UAC-code-lengte           = levold.UAC-code-lengte.

       
       DO i = 1 TO 100:
       
       ASSIGN
             levset.btw-code-lev[i]        = levold.btw-code-lev[i]
             levset.btw-code-to[i]         = levold.btw-code-to[i]
             levset.groepcode-lev[i]       = levold.groepcode-lev[i]
             levset.groepcode-grp-nr[i]    = levold.groepcode-grp-nr[i]
             levset.groepcode-hfdgrp-nr[i] = levold.groepcode-hfdgrp-nr[i]
             levset.groepcode-bdgcde-nr[i] = levold.groepcode-bdgcde-nr[i].

       END.

        ASSIGN
             levset.basis-plu           = levold.basis-plu
             levset.prijs-NrDecimals    = levold.prijs-NrDecimals
             levset.prijs-btw           = levold.prijs-btw
             levset.verpakking-veldnr   = levold.verpakking-veldnr
             levset.verpakking-start    = levold.verpakking-start
             levset.verpakking-lengte   = levold.verpakking-lengte
             levset.aantal-vp-veldnr    = levold.aantal-vp-veldnr
             levset.aantal-vp-start     = levold.aantal-vp-start
             levset.aantal-vp-lengte    = levold.aantal-vp-lengte
             levset.eenheid-veldnr      = levold.eenheid-veldnr
             levset.eenheid-start       = levold.eenheid-start
             levset.eenheid-lengte      = levold.eenheid-lengte
             levset.levartcode-veldnr   = levold.levartcode-veldnr
             levset.levartcode-start    = levold.levartcode-start.

        ASSIGN
             levset.levartcode-lengte   = levold.levartcode-lengte
             levset.knoptekst           = levold.knoptekst
             levset.costprice-veldnr    = levold.costprice-veldnr
             levset.costprice-start     = levold.costprice-start
             levset.costprice-lengte    = levold.costprice-lengte
             levset.omsch2-veldnr       = levold.omsch2-veldnr
             levset.omsch2-start        = levold.omsch2-start
             levset.omsch2-lengte       = levold.omsch2-lengte
             levset.levartnr-combine    = levold.levartnr-combine
             levset.Imp-DscrPlu         = levold.Imp-DscrPlu
             levset.omsch-combine       = levold.omsch-combine
             levset.omsch3-veldnr       = levold.omsch3-veldnr
             levset.omsch3-start        = levold.omsch3-start
             levset.omsch3-lengte       = levold.omsch3-lengte
             levset.omsch3-combine      = levold.omsch3-combine
             levset.lev-veldnr          = levold.lev-veldnr
             levset.lev-start           = levold.lev-start
             levset.lev-lengte          = levold.lev-lengte.
             
END.



END PROCEDURE.

   


